% Octave code for the plot of Bessel functions J_0(x) and J_1(x) in Figure 9.4.1
x=0:1e-3:25;
plot(x,besselj(0,x), 'linewidth', 3)
hold on;
plot(x,besselj(1,x), '--', 'linewidth', 3)
grid on;
set(gca, 'linewidth', 1.5);
set(gca, 'xminorgrid', 'on');
set(gca, 'yminorgrid', 'on');
h = legend('J_0(x)','J_1(x)');
set(h, 'fontsize', 14);
pos = get(h, 'position');
new_pos = pos;
new_pos(3) = pos(3)+0.11;  % This is the x length
new_pos(1) = pos(1)-0.1;   %  The x position
set(h, 'position', new_pos);
xlabel('x');
ylabel('y');
